Skip to main content
GET
List stock in each store

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

stock_id
string
part_id
string
part_number
string
part_name
string
part_category
string
unit_of_measure
string
warehouse_id
string
warehouse_code
string
warehouse_name
string
site_id
string
site_name
string
booking_rate_id
string
rate_card_code
string
rate_card_name
string
cost_center_id
string
cost_center_code
string
cost_center_name
string
inventory_location_id
string
inventory_location_code
string
inventory_location_name
string
on_hand_quantity
string
reserved_quantity
string
available_quantity
string
on_order_quantity
string
in_transit_quantity
string
average_unit_cost
string
average_unit_cost_currency_id
string
currency_code
string
stock_value
string
minimum_quantity
string
reorder_point
string
maximum_quantity
string
safety_stock
string
at_or_below_reorder_point
string
criticality
string
tracking_mode
string
is_consumable
string
last_movement_at
string
last_counted_at
string
primary_image_file_id
string
custom_fields
string
row_version
string
created_at
string
created_by_id
string
created_by_name
string
created_source
string
updated_at
string
updated_by_id
string
updated_by_name
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

at_or_below_reorder_point
boolean<boolean>
available_quantity
number<numeric>
average_unit_cost
number<numeric>
average_unit_cost_currency_id
string<uuid>

Note: This is a Foreign Key to asset_cost_to_keep.currency_id.

booking_rate_id
string<uuid>

Note: This is a Foreign Key to booking_bills.initial_booking_rate_id.

cost_center_code
string<character varying>
Maximum string length: 50
cost_center_id
string<uuid>

Note: This is a Foreign Key to cost_centre_settings.id.

cost_center_name
string<character varying>
Maximum string length: 200
created_at
string<timestamp with time zone>
created_by_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

created_by_name
string<character varying>
Maximum string length: 200
created_source
string<text>
criticality
string<character varying>
Maximum string length: 20
currency_code
string<character varying>
Maximum string length: 3
custom_fields
string<jsonb>
in_transit_quantity
number<numeric>
inventory_location_code
string<character varying>
Maximum string length: 60
inventory_location_id
string<uuid>

Note: This is a Foreign Key to bin_settings.id.

inventory_location_name
string<character varying>
Maximum string length: 200
is_consumable
boolean<boolean>
last_counted_at
string<timestamp with time zone>
last_movement_at
string<timestamp with time zone>
maximum_quantity
number<numeric>
minimum_quantity
number<numeric>
on_hand_quantity
number<numeric>
on_order_quantity
number<numeric>
part_category
string<character varying>
Maximum string length: 60
part_id
string<uuid>

Note: This is a Primary Key.

part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
primary_image_file_id
string<uuid>
rate_card_code
string<character varying>
Maximum string length: 60
rate_card_name
string<character varying>
Maximum string length: 200
reorder_point
number<numeric>
reserved_quantity
number<numeric>
row_version
integer<bigint>
safety_stock
number<numeric>
site_id
string<uuid>

Note: This is a Foreign Key to entry_currencies.for_site_id.

site_name
string<character varying>
Maximum string length: 200
stock_id
string<uuid>

Note: This is a Primary Key.

stock_value
number<numeric>
tracking_mode
string<character varying>
Maximum string length: 20
unit_of_measure
string<character varying>
Maximum string length: 30
updated_at
string<timestamp with time zone>
updated_by_id
string<uuid>
updated_by_name
string<character varying>
Maximum string length: 200
warehouse_code
string<character varying>
Maximum string length: 60
warehouse_id
string<uuid>

Note: This is a Foreign Key to booking_bills.warehouse_id.

warehouse_name
string<character varying>
Maximum string length: 200